/**
 * Admin tool: cwsoft-addon-file-editor
 *
 * This tool allows you to "edit", "delete", "create", "upload" or "backup" files of installed 
 * Add-ons such as modules, templates and languages via the WebsiteBaker backend. This enables
 * you to perform small modifications on installed Add-ons without downloading the files first.
 *
 * This file contains the jQuery code to toggle the section overview.
 * 
 * LICENSE: GNU General Public License 3.0
 * 
 * @platform    CMS WebsiteBaker 2.8.x
 * @package     cwsoft-addon-file-editor
 * @author      cwsoft (http://cwsoft.de)
 * @author      B. Martinovic for BlackCat CMS
 * @copyright   cwsoft
 * @license     http://www.gnu.org/licenses/gpl-3.0.html
*/

// functions for the jQuery framework
$(document).ready(function() {
	// only execute on overview page
	if ($('#trigger_modules,#trigger_templates,#trigger_languages').html() == null) return;
 	// remove navigation boxes except the very first one (#modules)
	$('.box:not("#modules")').hide();
	// remove links from first navigation box except the first link (Reload)
	$('#modules a:not(:first)').hide();
    // close all
    $('#toggle_modules,#toggle_templates,#toggle_languages').each( function() {
        var id    = $(this).prop('id').replace(/toggle_/,"");
        if($.cookie('AFE_' + id)!=1) {
            $(this).hide();
        }
    });
    $('#trigger_modules,#trigger_templates,#trigger_languages').unbind().click( function() {
        var id    = $(this).prop('id').replace(/trigger_/,"");
        $('#toggle_' + id).slideToggle('slow', function () {
            if( $(this).is(":visible") ) {
                $.cookie('AFE_'+id,1);
            } else {
                $.removeCookie('AFE_'+id);
            }
        });
    });
});

